POST
/shares/{id}/actions/mkdirCreate a directory in shared path
Creates a new directory within the shared path. The share must have the write scope. Returns 409 if the directory already exists
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
idstringrequired
the share id
pathstringrequired
Path to the folder to create. It must be URL encoded, for example the path "my dir/àdir" must be sent as "my%20dir%2F%C3%A0dir"
mkdir_parentsbooleanoptional
Create parent directories if they do not exist?
201successful operation
errorstringoptional
error description if any
messagestringoptional
message, can be empty
400Bad Request
errorstringoptional
error description if any
messagestringoptional
message, can be empty
401Unauthorized
errorstringoptional
error description if any
messagestringoptional
message, can be empty
403Forbidden
errorstringoptional
error description if any
messagestringoptional
message, can be empty
409Conflict
errorstringoptional
error description if any
messagestringoptional
message, can be empty
500Internal Server Error
errorstringoptional
error description if any
messagestringoptional
message, can be empty
defaultUnexpected Error
errorstringoptional
error description if any
messagestringoptional
message, can be empty
Error handling
A 400 is returned: Bad Request. A 401 is returned: Unauthorized. A 403 is returned: Forbidden. A 409 is returned: Conflict. A 500 is returned: Internal Server Error. Any other status is an error: Unexpected Error.